Name:		qubes-manager
Version:	4.1.16
Release:	1%{?dist}
Summary:	The Graphical Qubes VM Manager.
BuildArch:	noarch
Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		https://www.qubes-os.org
Requires:	python%{python3_pkgversion}
Requires:	python%{python3_pkgversion}-PyQt5
Requires:	python%{python3_pkgversion}-inotify
Requires:	python%{python3_pkgversion}-qubesadmin >= 4.1.8
Requires:	python%{python3_pkgversion}-qasync
Requires:	qubes-desktop-linux-common >= 4.1.2
Requires:	qubes-artwork
Requires:	pmount
Requires:	cryptsetup
Requires:	wmctrl
BuildRequires:	python%{python3_pkgversion}-PyQt5-devel
BuildRequires:	python%{python3_pkgversion}-devel
%if 0%{?fedora} >= 33 || 0%{?rhel} >= 7
BuildRequires:  qt5-qtbase-devel
%else
BuildRequires:  qt5-devel
%endif
BuildRequires:  qt5-linguist
AutoReq:	0

Source0: %{name}-%{version}.tar.gz

%description
The Graphical Qubes VM Manager.

%prep
%setup -q

%build
make ui res translations PYTHON=%{__python3}
make python PYTHON=%{__python3}

%install
make python_install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}
make install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qubes-global-settings
/usr/bin/qubes-vm-settings
/usr/bin/qubes-vm-create
/usr/bin/qubes-vm-clone
/usr/bin/qubes-vm-boot-from-device
/usr/bin/qubes-backup
/usr/bin/qubes-backup-restore
/usr/bin/qubes-qube-manager
/usr/bin/qubes-log-viewer
/usr/bin/qubes-template-manager
/usr/bin/qvm-template-gui
/usr/libexec/qubes-manager/mount_for_backup.sh
/usr/libexec/qubes-manager/qvm_about.sh
/usr/libexec/qubes-manager/dsa-4371-update

%dir %{python3_sitelib}/qubesmanager
%{python3_sitelib}/qubesmanager/__pycache__
%{python3_sitelib}/qubesmanager/__init__.py
%{python3_sitelib}/qubesmanager/clipboard.py
%{python3_sitelib}/qubesmanager/appmenu_select.py
%{python3_sitelib}/qubesmanager/backup.py
%{python3_sitelib}/qubesmanager/backup_utils.py
%{python3_sitelib}/qubesmanager/firewall.py
%{python3_sitelib}/qubesmanager/global_settings.py
%{python3_sitelib}/qubesmanager/multiselectwidget.py
%{python3_sitelib}/qubesmanager/restore.py
%{python3_sitelib}/qubesmanager/settings.py
%{python3_sitelib}/qubesmanager/log_dialog.py
%{python3_sitelib}/qubesmanager/about.py
%{python3_sitelib}/qubesmanager/releasenotes.py
%{python3_sitelib}/qubesmanager/informationnotes.py
%{python3_sitelib}/qubesmanager/create_new_vm.py
%{python3_sitelib}/qubesmanager/clone_vm.py
%{python3_sitelib}/qubesmanager/common_threads.py
%{python3_sitelib}/qubesmanager/qube_manager.py
%{python3_sitelib}/qubesmanager/utils.py
%{python3_sitelib}/qubesmanager/bootfromdevice.py
%{python3_sitelib}/qubesmanager/device_list.py
%{python3_sitelib}/qubesmanager/template_manager.py
%{python3_sitelib}/qubesmanager/qvm_template_gui.py

%{python3_sitelib}/qubesmanager/resources_rc.py

%{python3_sitelib}/qubesmanager/ui_backupdlg.py
%{python3_sitelib}/qubesmanager/ui_bootfromdevice.py
%{python3_sitelib}/qubesmanager/ui_globalsettingsdlg.py
%{python3_sitelib}/qubesmanager/ui_multiselectwidget.py
%{python3_sitelib}/qubesmanager/ui_newappvmdlg.py
%{python3_sitelib}/qubesmanager/ui_newfwruledlg.py
%{python3_sitelib}/qubesmanager/ui_restoredlg.py
%{python3_sitelib}/qubesmanager/ui_settingsdlg.py
%{python3_sitelib}/qubesmanager/ui_logdlg.py
%{python3_sitelib}/qubesmanager/ui_about.py
%{python3_sitelib}/qubesmanager/ui_releasenotes.py
%{python3_sitelib}/qubesmanager/ui_informationnotes.py
%{python3_sitelib}/qubesmanager/ui_qubemanager.py
%{python3_sitelib}/qubesmanager/ui_devicelist.py
%{python3_sitelib}/qubesmanager/ui_templatemanager.py
%{python3_sitelib}/qubesmanager/ui_clonevmdlg.py
%{python3_sitelib}/qubesmanager/ui_qvmtemplate.py
%{python3_sitelib}/qubesmanager/ui_templateinstallconfirmdlg.py
%{python3_sitelib}/qubesmanager/ui_templateinstallprogressdlg.py
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.qm
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.ts

%{python3_sitelib}/qubesmanager/tests/__pycache__
%{python3_sitelib}/qubesmanager/tests/__init__.py
%{python3_sitelib}/qubesmanager/tests/test_backup.py
%{python3_sitelib}/qubesmanager/tests/test_backup_utils.py
%{python3_sitelib}/qubesmanager/tests/test_global_settings.py
%{python3_sitelib}/qubesmanager/tests/test_qube_manager.py
%{python3_sitelib}/qubesmanager/tests/test_create_new_vm.py
%{python3_sitelib}/qubesmanager/tests/test_vm_settings.py
%{python3_sitelib}/qubesmanager/tests/test_clone_vm.py

%dir %{python3_sitelib}/qubesmanager-*.egg-info
%{python3_sitelib}/qubesmanager-*.egg-info/*

/usr/share/applications/qubes-global-settings.desktop
/usr/share/applications/qubes-vm-create.desktop
/usr/share/applications/qubes-backup.desktop
/usr/share/applications/qubes-backup-restore.desktop
/usr/share/applications/qubes-qube-manager.desktop
/usr/share/applications/qubes-template-manager.desktop
/usr/share/desktop-directories/qubes-tools.directory
/etc/xdg/menus/applications-merged/qubes-tools.menu

%changelog
* Wed Jun 16 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-manager.git

* Wed Jun 16 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fa31993
- version 4.1.16-1

* Sat May 29 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 251c5fd
- Fix too long line

* Sun May 16 2021 Saswat Padhi <saswat.sourav@gmail.com> - bf37bb3
- Avoid spurious warnings when setting NetVM

* Sat May 15 2021 herypt <70331266+herypt@users.noreply.github.com> - 01d3b2c
- Add updater to Qubes Tools menu

* Sun Apr 11 2021 3hhh <tripleh@hackingthe.net> - 17e6bf0
- mock QubesVMNotFoundError

* Sat Apr 10 2021 donoban <donoban@riseup.net> - 5558127
- Add check before launch qvm_start()

* Sat Apr 10 2021 donoban <donoban@riseup.net> - be39ec8
- Fix main()

* Fri Apr 09 2021 3hhh <tripleh@hackingthe.net> - 72cbec7
- manager: Handle removal of VM during on_shutdown.

* Mon Apr 05 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1afd46d
- Make pylint happy

* Sat Apr 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fcf5db8
- qvm-template-gui: auto resize columns to the content

* Sat Apr 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6c9514c
- qvm-template-gui: change date format to '%d %b %Y'

* Sat Apr 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 099bbe9
- qvm-template-gui: UX improvements

* Sat Apr 03 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 883ae3b
- Pass the command line arguments to LogDialog

* Fri Apr 02 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - be4e205
- Make pylint happy

* Fri Apr 02 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 03a34fb
- qvm-template-gui: improve displaying progress

* Fri Apr 02 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 679a239
- qvm-template-gui: UI improvements

* Tue Mar 30 2021 Encrypted Giraffe <github@encryptedgiraffe.xyz> - 2e548f9
- Fix spelling mistake in warning message

* Mon Mar 15 2021 donoban <donoban@riseup.net> - f1f8055
- Fix pylint warning

* Mon Mar 15 2021 donoban <donoban@riseup.net> - a906427
- Added parent to all __init__()

* Sun Mar 14 2021 donoban <donoban@riseup.net> - 9fc151b
- Retored reject() connect

* Sun Mar 14 2021 donoban <donoban@riseup.net> - 7218e6e
- Revert "Restored reject() call with ui"

* Sun Mar 14 2021 donoban <donoban@riseup.net> - 7119c9e
- Restored reject() call with ui

* Sun Mar 14 2021 donoban <donoban@riseup.net> - f050c9d
- Close dialog after finish qvm_start()

* Sun Mar 14 2021 donoban <donoban@riseup.net> - 012256d
- Fix pylint warning

* Sun Mar 14 2021 donoban <donoban@riseup.net> - f0d8b71
- Fix 'Line too long'

* Sun Mar 14 2021 donoban <donoban@riseup.net> - cbae4f5
- Added bootfromdevice dialog to create_new_vm (instead subprocess.call)

* Sun Mar 14 2021 donoban <donoban@riseup.net> - 70ea6e2
- Removed unneeded reject() definition

* Sun Mar 14 2021 donoban <donoban@riseup.net> - 094ec99
- Use vm.name instead vm object

* Sun Mar 14 2021 donoban <donoban@riseup.net> - 31f4297
- Removed unneded reject() definition

* Sun Mar 14 2021 donoban <donoban@riseup.net> - 5713004
- Removed qvm_start call from bootfromdevice

* Sat Mar 13 2021 donoban <donoban@riseup.net> - 45e60ba
- Improved window size and margins

* Tue Mar 02 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 340aa50
- Fix pyc unreproducibility

* Tue Mar 02 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5a45d14
- spec: improve reproducibility when generating QT files

* Sat Feb 27 2021 donoban <donoban@riseup.net> - f5c0252
- Tests suite fixes

* Thu Feb 25 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5f1770f
- version 4.1.15-1

* Thu Feb 25 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 465d661
- tests: changing netvm and template via right click

* Thu Feb 25 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 66e478d
- tests: add a decorator for keeping event listener alive

* Wed Feb 24 2021 donoban <donoban@riseup.net> - aa0ec0e
- Use internal vm.shutdown_timeout

* Wed Feb 24 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1e36eb9
- Restore checkboxes to show/hide columns

* Wed Feb 17 2021 donoban <donoban@riseup.net> - 47b0bef
- Fix pylint warning

* Wed Feb 17 2021 donoban <donoban@riseup.net> - 6276373
- Show all non halted vm's as running

* Tue Feb 16 2021 donoban <donoban@riseup.net> - 60dbeab
- use force=True when restarting a netvm with connected vms

* Tue Feb 16 2021 donoban <donoban@riseup.net> - 7a0bc9b
- Join all connected VM's in same warning

* Tue Feb 09 2021 donoban <donoban@riseup.net> - 8034060
- Fix coherence in network menu when adding/removing domains

* Wed Feb 03 2021 donoban <donoban@riseup.net> - 4e6cf91
- Fix too long line

* Wed Feb 03 2021 donoban <donoban@riseup.net> - 1edc4ef
- Add warning if trying to change template VM

* Wed Feb 03 2021 donoban <donoban@riseup.net> - 37513de
- Disable network menu for templates

* Thu Jan 28 2021 donoban <donoban@riseup.net> - c4da25c
- Just warning message improve

* Wed Jan 27 2021 donoban <donoban@riseup.net> - 28120f3
- Rewrite without cascade var

* Tue Jan 26 2021 donoban <donoban@riseup.net> - c943e2d
- Don't wait!

